<?php use_helper('UrlFunctions'); ?>

<?php
if($typeSubmit){
	if(is_array($idColaborador)){
		foreach ($idColaborador as $key =>$valor){
			$o_ClienteBean = new ClienteBean();
			$o_ClienteBean->setIdCliente($valor);
			$o_ClienteBean->setFlagHuellaConProblema($typeSubmit);
			$o_ClienteDP = new ClienteDP($o_ClienteBean);
			$o_ClienteDP->update();
		}
	}
}



if($metodo){
	
	//Abrir periodo del colaborador
	$o_CierrePedidoDP = new CierrePedidoDP(new CierrePedidoBean());
		
	switch ($metodo){
		
		case '1' : 
		case '2' :
					$o_CierrePedidoDP->operacionPeriodoParcial($metodo,$fecha,$idsucursal,$idcolaborador);
					echo "metodo ".$metodo;
					
				    ?>
				    <script language="JavaScript">
				    parent.objMainTab.reqBody('<?=buildUrl('cierrepedido/list')?>','&block=001&insert=1');
				    parent.objMainTab.windowsCloseAll();
				    </script>
				    <?
				  
					
					break;
				
		//Cierre total de la fecha de la sucursal para la fecha determinada
		case '3' : 				
		case '4' : 
					$o_CierrePedidoDP->operacionPeriodoTotal($metodo,$fecha,$idsucursal,$idcolaborador);
					echo "metodo ".$metodo;
					
					?>
				    <script language="JavaScript">
				    parent.objMainTab.reqBody('<?=buildUrl('cierrepedido/list')?>','&block=001&update=1');
				    parent.objMainTab.windowsCloseAll();
				    </script>
				    <?php 
					break;
	}
	
}

?>


<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/objectForm.js"></script>

<script type="text/javascript">
  validatePass = function(){
    valid.onSubmit = false;
  }
  
  function check_uncheck(elem){
	
		var someNodeList = $('form1').getElementsByTagName('input');
		var nodes = $A(someNodeList);
		nodes.each(function(node){
			//alert(node.value);
			node.checked = elem.checked;
		});
	}
	
	function check_uncheck_det(elem){
		var vcheck = true;
		
		
		var someNodeList = $('form1').getElementsByTagName('input');
		var nodes = $A(someNodeList);
		nodes.each(function(node){
			//alert(node.value);
			if(node.checked == false){
				vcheck = false;
				$('idItemx').checked = vcheck;
				return true;
			}
		});
		$('idItemx').checked = vcheck;
	}
</script>

<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=name&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>

function abrirperiodo(fecha,idcolaborador,nombre){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha+' para '+nombre)){
		$('fecha').value=fecha;
		$('idcolaborador').value=idcolaborador;
		$('metodo').value='1';
		$('form1').submit();
	}
}


function cerrarperiodo(fecha,idcolaborador,nombre){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha+' para '+nombre)){
		$('fecha').value=fecha;
		$('idcolaborador').value=idcolaborador;
		$('metodo').value='2';
		$('form1').submit();
	}
}

function abrirperiodototal(fecha){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha)){
		$('fecha').value=fecha;
		$('metodo').value='3';
		$('form1').submit();
	}
	
}
</script>
<?php

//echo $id."---";

$o_SucursalBean = new MercadoBean();
$o_SucursalBean->setIdMercado($id);

$o_sucursalDP = new MercadoDP($o_SucursalBean);

$a_o_sucursales = $o_sucursalDP->select();

foreach ($a_o_sucursales as $iKey => $o_sucursales){ 
		$IdMercado = $o_sucursales->getIdMercado();
		$descripcionSucursal = $o_sucursales->getDescripcion();
}

$a_representantes = array();
$o_ClienteBean = new ClienteBean();
$o_ClienteBean->setIdMercado($IdMercado);
$o_ClienteBean->setFlagConHuella("S");
$o_ColaboradorDP = new ClienteDP($o_ClienteBean);

$a_representantes = $o_ColaboradorDP->select();



?>


<img src="/images/common/spacer.gif" width="10">
<form id="form1" name="form1" method="POST">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0" >
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Mercado</li>
            <span class="subtitle"><I>Clientes con problemas con la huella </I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
     
  <tr>
    <td valign="top">
      	<input type="hidden" name="control" value="1">
      
      	<input type="hidden" name="idcolaborador" id="idcolaborador" value="">
      	<input type="hidden" name="idsucursal" id="idsucursal" value="<?=$idsucursal?>">
      	<input type="hidden" name="metodo" id="metodo" value=""> 
      	
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              	<table width="100%" border="0" cellpadding="5" cellspacing="0">
          			<tr>
    				  	<td height="0">
						 	<table width="100%" border="0" cellspacing="6" cellpadding="0">
								<tr>
									<td nowrap="nowrap" width="10%"><label class="label" for="txtRepresentante" >Mercado:</label></td>
									<td nowrap="nowrap" ><label class="label req"><?=$descripcionSucursal?> (<?php echo count($a_representantes);?> clientes con huella)</label></td>
								</tr>
							    
							</table>    					
    					</td>
                	</tr>
      			</table>
		    </td>
		  </tr>
		</table>
		<table hspace="20px">
			<tr>
				<td><label class="label">Lista de Clientes</label></td>
			</tr>
		</table>
		<table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              	<table width="100%" border="0" cellpadding="5" cellspacing="0">
          			<tr>
    				  	<td height="0">
						 	<table width="100%" border="1" cellspacing="0" cellpadding="0"  class="grid">
								<tr>
									<th nowrap="nowrap" width="3%"><label class="label"><input type="checkbox" name="idItemx" id="idItemx" onclick="check_uncheck(this)"></label></th>
									<th nowrap="nowrap" width="50%" align="left"><label class="label">Cliente</label></th>

									<th nowrap="nowrap" width="8%"><label class="label">Huella con Problema</label></th>
									
									
									
								</tr>
							    <?php if(is_array($a_representantes)){
							    		
								    	foreach ($a_representantes as $keyR => $o_representante){
								    		
										   
									    	?>
									    	<tr nowrap="nowrap" width="10%">
										    	<td><label class="label"><input type="checkbox" name="idColaborador[]" class="check_" value="<?=$o_representante->getIdCliente()?>"  onclick="check_uncheck_det(this)"></label></td>
										    	<td><label class="label"><?=$o_representante->getNombreCompleto()?></label></td>
										    
										    	<td align="center"><label class="label"><?php if($o_representante->getFlagHuellaConProblema() == "N") echo "No";else echo "Si"?></label></td>
										    	
										    											    	
									    	</tr>
									  
								    	 <?php }?>
									    	
							  		<?php  }?>
							</table>    					
    					</td>
                	</tr>
      			</table>
		    </td>
		  </tr>
		</table>
		<table align="center" width="100%">
			<tr>
			<td align="center" colspan="5">
			 <input type="hidden" name="typeSubmit" id="typeSubmit">
			  <input class="button" type="button" value="Con Problemas" onclick="$('typeSubmit').value='S';$(form1).submit()"/>
			  <input class="button" type="button" value="Sin Problemas" onclick="$('typeSubmit').value='N';$(form1).submit()"/>
			</td>
			</tr>
			<tr>
			<td height="10" colspan="5">&nbsp;</td>
			</tr>
		</table>
 </form>
<script type="text/javascript">
	var valid = new Validation('form1', {immediate : true});
</script>